unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, RegExpr;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.Button1Click(Sender: TObject);
var
  r: TRegExpr;
  sl: TStringList;
  expr: string;
begin
  Memo1.Clear;

  sl := TStringList.Create;
  sl.LoadFromFile('sqldump.sql');

//  (--(.*?)\r?\n)               Kommentar -- ...
//  |                            oder verknüpfung
//  (/\*(.*?)\*/)                Kommentar /* ... */
  expr := '(--(.*?)\r?\n)|(/\*(.*?)\*/)';

  r := TRegExpr.Create(expr);
  r.ModifierS;
  Memo1.Lines.Add(trim(StringReplace(r.Replace(sl.Text,'',false),#13#10,'',[rfReplaceAll])));
  Memo1.Lines.Add('');

  r.Free;
  sl.Free;

end;

procedure TForm1.Button2Click(Sender: TObject);
var
  sr: TStringArray;
  i: integer;
  s: string;
begin
  s := Memo1.Lines.Text;
  sr := s.Split(';');
  for i:=0 to Length(sr) - 1 do begin
    Memo1.Lines.Add(':'+trim(sr[i])+#13#10);
  end;
end;


end.

